import org.kwis.msp.lcdui.Jlet;
import org.kwis.msp.lcdui.Display;

import org.kwis.msp.lwc.ShellComponent;
import org.kwis.msp.lwc.ListComponent;
import org.kwis.msp.lwc.ListItemComponent;
import org.kwis.msp.lwc.LabelComponent;

public class ListComponentEx1 extends Jlet{

	Display displayLCD ;
		

	public ListComponentEx1(){      }

	protected void startApp(String[] arg0){

		
		displayLCD = Display.getDefaultDisplay();
		ShellComponent shell = new ShellComponent();

		ListComponent list = new ListComponent(ListComponent.SELECT_MULTIPLE);
		ListItemComponent item1 = new ListItemComponent("전화번호부");
		ListItemComponent item2 = new ListItemComponent("개인일정관리");
		ListItemComponent item3 = new ListItemComponent("부가기능");
		ListItemComponent item4 = new ListItemComponent("게임");

		list.addComponent(item1);
		list.addComponent(item2);
		list.addComponent(item3);
		list.addComponent(item4);


		LabelComponent lbListTitle = new LabelComponent("  Main Menu List");

		shell.setTitle(lbListTitle);
		shell.setWorkComponent(list);

		displayLCD.pushCard(shell.getCard());
		
	}
	protected void destroyApp(boolean arg0) {  }

	

}
